#include<bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    deque<int> dq; //back front
    for(int i=1;i<=2*n;i++){
        dq.push_back(i);
    }
    vector<int> levo;
    vector<int> desno;
    int up = n;
    if(n%2==0)
        up = n - 1;
    for(int i=0;i<up;i++){
        if(i%2==1){
            levo.push_back(dq.back());
            dq.pop_back();
        }
        else{
            levo.push_back(dq.front());
            dq.pop_front();
        }
    }
    for(int i=0;i<up;i++){
        if(i%2==1){
            desno.push_back(dq.back());
            dq.pop_back();
        }
        else{
            desno.push_back(dq.front());
            dq.pop_front();
        }
    }
    if(n%2==0){
        desno.push_back(dq.front());
        levo.push_back(dq.back());
    }
    for(int l: levo){
        cout<<l;
        if(l!=levo[n-1])
            cout<<" ";
    }
    cout<<endl;
    for(int d: desno){
        cout<<d;
        if(d!=desno[n-1])
            cout<<" ";
    }
    cout<<endl;
}